## org.apache.naming.factory
Class TyrexTransactionFactory

    java.lang.Object
      |
      +--org.apache.naming.factory.TyrexTransactionFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class TyrexTransactionFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for Tyrex User transactions.
Tyrex is an open-source transaction manager, developed by Assaf Arkin and exolab.org. See the Tyrex homepage for more details about Tyrex and downloads.

Version:
  $Revision: 1.2.4.1 $ $Date: 2002/02/22 20:11:50 $
Author:
  Remy Maucherat

Constructor Summary
`TyrexTransactionFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new User transaction instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TyrexTransactionFactory

    public TyrexTransactionFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws javax.naming.NamingException

  Crete a new User transaction instance.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
    `javax.naming.NamingException`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.